Name:       perl-namespace-autoclean
Version:    0.09
Release:    2%{?dist}
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Keep imports out of your namespace
Source:     http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/namespace-autoclean-%{version}.tar.gz
Url:        http://search.cpan.org/dist/namespace-autoclean
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(B::Hooks::EndOfScope) >= 0.07
BuildRequires: perl(Class::MOP) >= 0.80
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(namespace::clean) >= 0.11
BuildRequires: perl(Test::More)

### auto-added reqs!
Requires:       perl(B::Hooks::EndOfScope) >= 0.07
Requires:       perl(Class::MOP) >= 0.80
Requires:       perl(List::Util)
Requires:       perl(namespace::clean) >= 0.11

%{?perl_default_filter}

%description
When you import a function into a Perl package, it will naturally also
be available as a method. The 'namespace::autoclean' pragma will remove
all imported symbols at the end of the current package's compile cycle.
Functions called in the package itself will still be bound by their
name, but they won't show up as methods on your class or instances. This
module is very similar to namespace::clean, except it will clean all
imported functions, no matter if you imported them before or after you
'use'd the pagma. It will also not touch anything that looks like a
method, according to 'Class::MOP::Class::get_method_list'.


%prep
%setup -q -n namespace-autoclean-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 17 2009 Stepan Kasal <skasal@redhat.com> 0.09-2
- fix the previous changelog entry

* Wed Sep 16 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.09-1
- add %%perl_default_filter'ing
- auto-update to 0.09 (by cpan-spec-update 0.01)
- added a new req on perl(B::Hooks::EndOfScope) (version 0.07)
- added a new req on perl(Class::MOP) (version 0.80)
- added a new req on perl(List::Util) (version 0)
- added a new req on perl(namespace::clean) (version 0.11)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 01 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.08-1
- submission

* Wed Jul 01 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.08-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
